Name:           bunny
Version:        0.93
Release:        18%{?dist}
Summary:        Instrumented C code security fuzzer
License:        ASL 2.0
URL:            http://code.google.com/p/%{name}-the-fuzzer/
Source0:        http://%{name}-the-fuzzer.googlecode.com/files/%{name}-%{version}.tgz
BuildRequires:  openssl-devel
# Package dynamically re-writes assembly code
ExclusiveArch:  %{ix86} x86_64
Provides:       %{name}-the-fuzzer

%description
A closed loop, high-performance, general purpose protocol-blind fuzzer
for C programs.  Uses compiler-level integration to seamlessly inject
precise and reliable instrumentation hooks into the traced
program. These hooks enable the fuzzer to receive real-time feedback
on changes to the function call path, call parameters, and return
values in response to variations in input data.  This architecture
makes it possible to significantly improve the coverage of the testing
process without a noticeable performance impact usually associated
with other attempts to peek into run-time internals.

%prep
%setup -qn %{name}

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}%{_bindir}
install -p -m 755 %{name}-exec %{buildroot}%{_bindir}/
install -p -m 755 %{name}-flow %{buildroot}%{_bindir}/
install -p -m 755 %{name}-gcc %{buildroot}%{_bindir}/
install -p -m 755 %{name}-main %{buildroot}%{_bindir}/
install -p -m 755 %{name}-trace %{buildroot}%{_bindir}/

%check
make test1
make test2
make test3

%files
%doc CHANGES COPYING README
%{_bindir}/%{name}-exec
%{_bindir}/%{name}-flow
%{_bindir}/%{name}-gcc
%{_bindir}/%{name}-main
%{_bindir}/%{name}-trace

%changelog
* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.93-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.93-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Aug 12 2013 Christopher Meng <rpm@cicku.me> - 0.93-16
- SPEC cleanup.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.93-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.93-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.93-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.93-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 26 2011 Dan Horák <dan[at]danny.cz> - 0.93-11
- only x86 arches are supported

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.93-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.93-9
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.93-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.93-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 15 2009 Tomas Mraz <tmraz@redhat.com> 0.93-6
- rebuild with new openssl

* Wed Oct 29 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.93-5
- Included ExcludeArch Bug numbers for ppc, ppc64 and ia64

* Fri Oct 24 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.93-4
- added CHANGES file to %%doc

* Fri Oct 24 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.93-3
- moved ia64 to secondary arch, used CFLAGS in place of replacing
- -03 with -02

* Fri Oct 24 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.93-2
- timestamp saving, added excluded archs

* Wed Aug 13 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.93-1
- Initial built
